# Interface ExtendedModifyListener

All Superinterfaces:
  `EventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ExtendedModifyListener extends EventListener
Classes which implement this interface provide a method that deals with the event that is generated when text is modified.

See Also:
  - `ExtendedModifyEvent`
  - Sample code and further information

## Method Summary

Modifier and Type
Method
Description
`void`
`modifyText(ExtendedModifyEvent event)`
This method is called after a text change occurs.

## Method Details

### modifyText

void modifyText(ExtendedModifyEvent event)
This method is called after a text change occurs.

The following event fields are used:

- event.start the start offset of the new text (input)
- event.length the length of the new text (input)
- event.replacedText the replaced text (input)

Parameters:
  `event` - the given event
See Also:
  - `ExtendedModifyEvent`